Show / Hide Table of Contents

# Struct AddonWeeklyPuzzle

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonWeeklyPuzzle

### Fields

| Improve this Doc View Source

#### AtkComponentButton2C0

##### Declaration

    public AtkComponentButton*AtkComponentButton2C0

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### AtkResNode2C8

##### Declaration

    public AtkResNode*AtkResNode2C8

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### AtkResNode2E0

##### Declaration

    public AtkResNode*AtkResNode2E0

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### AtkResNodeA38

##### Declaration

    public AtkResNode*AtkResNodeA38

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### AtkTextNode2D0

##### Declaration

    public AtkTextNode*AtkTextNode2D0

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### AtkTextNode2D8

##### Declaration

    public AtkTextNode*AtkTextNode2D8

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### AtkTextNode2E8

##### Declaration

    public AtkTextNode*AtkTextNode2E8

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### AtkTextNode2F0

##### Declaration

    public AtkTextNode*AtkTextNode2F0

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### CofferStr

##### Declaration

    public FFXIVString CofferStr

##### Field Value

Type | Description
--- | ---
FFXIVString |

| Improve this Doc View Source

#### CommanderStr

##### Declaration

    public FFXIVString CommanderStr

##### Field Value

Type | Description
--- | ---
FFXIVString |

| Improve this Doc View Source

#### DualBladesStr

##### Declaration

    public FFXIVString DualBladesStr

##### Field Value

Type | Description
--- | ---
FFXIVString |

| Improve this Doc View Source

#### GameBoard

##### Declaration

    public AddonWeeklyPuzzle.GameTileBoard GameBoard

##### Field Value

Type | Description
--- | ---
AddonWeeklyPuzzle.GameTileBoard |

| Improve this Doc View Source

#### GiftBoxStr

##### Declaration

    public FFXIVString GiftBoxStr

##### Field Value

Type | Description
--- | ---
FFXIVString |

| Improve this Doc View Source

#### RewardPanelCoffer

##### Declaration

    public AddonWeeklyPuzzle.RewardPanelItem RewardPanelCoffer

##### Field Value

Type | Description
--- | ---
AddonWeeklyPuzzle.RewardPanelItem |

| Improve this Doc View Source

#### RewardPanelCommander

##### Declaration

    public AddonWeeklyPuzzle.RewardPanelItem RewardPanelCommander

##### Field Value

Type | Description
--- | ---
AddonWeeklyPuzzle.RewardPanelItem |

| Improve this Doc View Source

#### RewardPanelDualBlades

##### Declaration

    public AddonWeeklyPuzzle.RewardPanelItem RewardPanelDualBlades

##### Field Value

Type | Description
--- | ---
AddonWeeklyPuzzle.RewardPanelItem |

| Improve this Doc View Source

#### RewardPanelGiftBox

##### Declaration

    public AddonWeeklyPuzzle.RewardPanelItem RewardPanelGiftBox

##### Field Value

Type | Description
--- | ---
AddonWeeklyPuzzle.RewardPanelItem |